Gda.DataModel – Gda-6.0 Reference Manual

# DataModel

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_model_get_type ()" ) ]
public interface DataModel : Object
All known implementing classes:

- DataAccessWrapper
- DataModelArray
- DataModelDir

- DataModelImport
- DataModelSelect
- DataPivot

- DataProxy
- DataSelect

Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static Quark error_quark ()

### Methods:

- public bool add_data_from_xml_node (unowned Node* node) throws Error
- public int append_row () throws Error
- public int append_values (List<Value?>? values) throws Error
- public DataModelArray? array_copy_model () throws Error
- public DataModelArray? array_copy_model_ext (int[] cols) throws Error
- public DataModelIter create_iter ()
- public unowned Column? describe_column (int col)
- public void dump (void* to_stream)
- public string dump_as_string ()
- public bool export_to_file (DataModelIOFormat format, string file, int[]? cols, int[]? rows, Set options) throws Error
- public string export_to_string (DataModelIOFormat format, int[]? cols, int[]? rows, Set options)
- public void freeze ()
- public DataModelAccessFlags get_access_flags ()
- public ValueAttribute get_attributes_at (int col, int row)
- public int get_column_index (string name)
- public unowned string get_column_name (int col)
- public unowned string get_column_title (int col)
- public unowned Error[] get_exceptions ()
- public int get_n_columns ()
- public int get_n_rows ()
- public bool get_notify ()
- public int get_row_from_values (SList<Value?> values, int[] cols_index)
- public unowned Value? get_typed_value_at (int col, int row, Type expected_type, bool nullok) throws Error
- public unowned Value? get_value_at (int col, int row) throws Error
- public bool import_from_file (string file, HashTable<int,int>? cols_trans, Set options) throws Error
- public bool import_from_model (DataModel from, bool overwrite, HashTable<int,int>? cols_trans) throws Error
- public bool import_from_string (string string, HashTable<int,int>? cols_trans, Set options) throws Error
- public bool iter_move_next_default (DataModelIter iter)
- public bool iter_move_prev_default (DataModelIter iter)
- public bool iter_move_to_row_default (DataModelIter iter, int row)
- public bool remove_row (int row) throws Error
- public void send_hint (DataModelHint hint, Value? hint_value)
- public void set_column_name (int col, string name)
- public void set_column_title (int col, string title)
- public bool set_value_at (int col, int row, Value value) throws Error
- public bool set_values (int row, List<Value?>? values) throws Error
- public void thaw ()

### Signals:

- public signal void access_changed ()
- public signal void changed ()
- public signal void reset ()
- public signal void row_inserted (int row)
- public signal void row_removed (int row)
- public signal void row_updated (int row)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref